com.impinj.octane

## Enum HubConnectedStatus

- java.lang.Object
- - java.lang.Enum<HubConnectedStatus>
  - - com.impinj.octane.HubConnectedStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HubConnectedStatus>

      public enum HubConnectedStatus
      extends java.lang.Enum<HubConnectedStatus>

  Container class to hold Impinj Antenna Hub Information
  See Also:
    `Status.getAntennaHubStatusGroup()`, `AntennaHubStatusGroup`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Connected` The antenna hub is connected.
    `Disconnected` The antenna hub is disconnected.
    `Unknown` The antenna hub is in an unknown state.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static HubConnectedStatus` | `valueOf(int hubConnectedStatusValue)`
    `static HubConnectedStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HubConnectedStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final HubConnectedStatus Unknown

      The antenna hub is in an unknown state.

    - #### Disconnected

          public static final HubConnectedStatus Disconnected

      The antenna hub is disconnected.

    - #### Connected

          public static final HubConnectedStatus Connected

      The antenna hub is connected.

  - ### Method Detail

    - #### values

          public static HubConnectedStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HubConnectedStatus c : HubConnectedStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HubConnectedStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HubConnectedStatus valueOf(int hubConnectedStatusValue)

      Parameters:
        `hubConnectedStatusValue` - the integer value of the connectedStatus
      Returns:
        the enumeration object corresponding to the integer value

    - #### getValue

          public int getValue()

      Returns:
        the value of the enumeration as an integer